#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    scanf("%d", &n);
    long long ans = 0;
    for (int id = 2; id < n; id++)
        ans += id * (id + 1ll);
    printf("%lld", ans);
    return 0;
}